Deze plugin is niet getest met de laatste 3 grotere versies van WordPress. Mogelijk wordt het niet meer onderhouden of ondersteund. Ook kunnen er compatibiliteitsproblemen ontstaan wanneer het wordt gebruikt met recentere versies van WordPress.

Gravity Forms HTML5 Validation

Omschrijving

Adds native HTML5 validation support to the Gravity Forms plugin.

It supports both standard and paginated forms.

Supported Standard Fields

  • Tekstregel
  • Tekstveld
  • Vervolgkeuze
  • Multi Select
  • Selectievakjes
  • Nummer
  • Radioknoppen

Supported Advanced Fields

  • Naam:
  • Datum
  • Tijd
  • Telefoonnummer
  • Address
  • Website
  • Gebruikersnaam
  • Password
  • E-mailadres
  • Bestanden uploaden

Supported Post Fields

  • Titel
  • Tekst
  • Uitreksel
  • Trefwoorden
  • Catogorie
  • Post Image
  • Custom veld

Supported Pricing Fields

  • Product
  • Kwantiteit
  • Creditcard

Supported Hooks

  • gform_name_prefix_required
  • gform_name_middle_required
  • gform_name_suffix_required
  • gform_address_street2_required

These hooks can be used to force html5 validation on these subfields.

Example usage:

The following would apply your function to all forms.
add_filter( ‘gform_name_prefix_required’, ‘your_function_name’, 10, 2 );

To target a specific form append the form id to the hook name. (format: gform_password_FORMID)
add_filter( ‘gform_name_prefix_required_6’, ‘your_function_name’, 10, 2 );

The return value is expected to be a boolean value; As such you can also use them with “__return_true”.
add_filter( ‘gform_address_street2_required’, ‘__return_true’ );

Systeemeisen

This plugin requires prior installation and activation of Gravity Forms plugin by Rocketgenius ver. 1.9 and above.

Tested

Up to Gravity Forms plugin ver. 1.9.17.6

Installatie

  1. Download the gravityforms-html5-validation.zip file to your local machine.
  2. Either use the automatic plugin installer (Plugins – Add New) or Unzip the file and upload the isw-blocks folder to your /wp-content/plugins/ directory.
  3. Activate the plugin through the Plugins menu
  4. Visit the Gravity Forms general settings page ( Forms -> Settings ) and make sure that Output HTML5 option is set to yes.
  5. All fields configured as “required” will now use native html5 validation.

Beoordelingen

Lees alle 3 beoordelingen

Bijdragers & ontwikkelaars

“Gravity Forms HTML5 Validation” is open source software. De volgende personen hebben bijgedragen aan deze plugin.

Bijdragers

Vertaal “Gravity Forms HTML5 Validation” naar jouw taal.

Interesse in ontwikkeling?

Bekijk de code, haal de SVN repository op, of abonneer je op het ontwikkellog via RSS.

Changelog

2.4.2

  • Fix DOM class names and methods.

2.4.1

  • Fix script debug flag.

2.4

  • Add support for various fields.
  • Add support for paginated forms.

2.3

  • Initial WordPress.org Release